Package de.cxp.ocs.model.result
Class FacetEntry
- java.lang.Object
-
- de.cxp.ocs.model.result.FacetEntry
-
- Direct Known Subclasses:
HierarchialFacetEntry,IntervalFacetEntry,RangeFacetEntry
public class FacetEntry extends Object
-
-
Field Summary
Fields Modifier and Type Field Description longdocCountEstimated amount of documents that will be returned, if this facet entry is picked as filter.Stringidoptional associated filter value.StringkeyAssociated filter value.StringlinkURL conform query parameters, that has to be used to filter the result.booleanselectedStringtype
-
Constructor Summary
Constructors Constructor Description FacetEntry()
-
-
-
Field Detail
-
type
public final String type
- See Also:
- Constant Field Values
-
key
public String key
Associated filter value.
-
id
public String id
optional associated filter value.
-
docCount
public long docCount
Estimated amount of documents that will be returned, if this facet entry is picked as filter.
-
link
public String link
URL conform query parameters, that has to be used to filter the result.
-
selected
public boolean selected
-
-